Add/Invite a new member to the organization
const url = 'https://example.com/api/members';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"email":"[email protected]","fullName":"Sarah Jenkins","role":"org_admin","partnerId":"20000000-0000-0000-0000-000000000002","phone":"+17045550199","appUrl":"https://app.dreamcenterconnect.com","profiles":["intake_staff","kiosk_operator"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/members \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "email": "[email protected]", "fullName": "Sarah Jenkins", "role": "org_admin", "partnerId": "20000000-0000-0000-0000-000000000002", "phone": "+17045550199", "appUrl": "https://app.dreamcenterconnect.com", "profiles": [ "intake_staff", "kiosk_operator" ] }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”object
Full legal or preferred name of the individual.
Example
Sarah JenkinsAssigned administrative user role (org_admin, partner_admin, staff).
Unique identifier (UUID v4) for the assigned partner location facility.
Example
20000000-0000-0000-0000-000000000002E.164 formatted contact phone number.
Example
+17045550199Base application callback URL.
Example
https://app.dreamcenterconnect.comAssigned functional operational access profiles.
Example
[ "intake_staff", "kiosk_operator"]Responses
Section titled “Responses”Member added successfully
object
Unique identifier (UUID v4) for the resource.
Primary email address.
Full legal or preferred name of the individual.
Assigned administrative user role (org_admin, partner_admin, staff).
Unique identifier (UUID v4) for the assigned partner location facility.
Display name of the assigned partner location facility.
Assigned functional operational access profiles.
Flag confirming whether user email address has been verified.
E.164 formatted contact phone number.
Example
{ "id": "a1b2c3d4-e5f6-7890-abcd-1234567890ab", "fullName": "Sarah Jenkins", "role": "org_admin", "partnerId": "20000000-0000-0000-0000-000000000002", "partnerName": "Community Food Pantry", "profiles": [ "intake_staff", "kiosk_operator" ], "isConfirmed": true, "phone": "+17045550199"}Unauthorized
Forbidden